Name:       ibus-pinyin
Version:    1.1.0.20090612
Release:    1%{?dist}
Summary:    The PinYin engine for IBus platform
License:    GPLv2+
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:    http://scim-python.googlecode.com/files/pinyin-database-0.1.10.6.tar.bz2
Patch0:     ibus-pinyin-HEAD.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

BuildRequires:  gettext-devel

Requires:   ibus

%description
PinYin engine for IBus platform. It provides a Chinese PinYin input method.

%prep
%setup -q
cp %{SOURCE1} engine
# %patch0 -p1

%build
%configure --disable-static
# make -C po update-gmo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd /usr/share/ibus-pinyin/engine
python -c "import pysqlitedb; db = pysqlitedb.PYSQLiteDB (); db.create_indexes ();" >/dev/null

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_datadir}/ibus-pinyin
%{_datadir}/ibus/component/*
%{_libexecdir}/ibus-engine-pinyin
%{_libexecdir}/ibus-setup-pinyin

%changelog
* Fri Jun 12 2009 Huang Peng <shawn.p.huang@gmail.com> - 1.1.0.20090612-1
- Update to 1.1.0.20090612.

* Mon May 25 2009 Huang Peng <shawn.p.huang@gmail.com> - 1.1.0.20090303-2
- Update to HEAD version in upstream git repository
- Fix bug 500762 - The iBus input speed becomes much slower after "Fuzzy PinYin" enabled
- Fix bug 501218 - make the pinyin setup window come to the front
- Fix bug 500763 - User DB is unavailable in ibus for liveCD

* Tue Mar 3 2009 Huang Peng <shawn.p.huang@gmail.com> - 1.1.0.20090303-1
- Update to 1.1.0.20090303.

* Wed Feb 25 2009 Huang Peng <shawn.p.huang@gmail.com> - 1.1.0.20090225-1
- Update to 1.1.0.20090225.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0.20090211-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Huang Peng <shawn.p.huang@gmail.com> - 1.1.0.20090211-1
- Update version to 1.1.0.20090211.

* Thu Feb 05 2009 Huang Peng <shawn.p.huang@gmail.com> - 1.1.0.20090205-1
- Update version to 1.1.0.20090205.

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.1.20081004-2
- Rebuild for Python 2.6

* Sat Oct 04 2008 Huang Peng <shawn.p.huang@gmail.com> - 0.1.1.20081004-1
- Update version to 0.1.1.20081004.

* Thu Sep 18 2008 Huang Peng <shawn.p.huang@gmail.com> - 0.1.1.20080918-1
- Update version to 0.1.1.20080918.

* Mon Sep 01 2008 Huang Peng <shawn.p.huang@gmail.com> - 0.1.1.20080901-1
- Update version to 0.1.1.20080901.

* Sat Aug 23 2008 Huang Peng <shawn.p.huang@gmail.com> - 0.1.1.20080823-1
- Update version to 0.1.1.20080823.

* Fri Aug 15 2008 Huang Peng <shawn.p.huang@gmail.com> - 0.1.1.20080815-1
- Update version to 0.1.1.20080815.

* Thu Aug 12 2008 Huang Peng <shawn.p.huang@gmail.com> - 0.1.1.20080812-1
- Update version to 0.1.1.20080812.

* Sun Aug 10 2008 Huang Peng <shawn.p.huang@gmail.com> - 0.1.0.20080810-1
- The first version.
